## ecopcr 0.5.0+dfsg

=== src/libapat/Makefile ===

SOURCES = apat_parse.c \
         apat_search.c \
         libstki.c
         
SRCS=$(SOURCES)

         
OBJECTS= $(patsubst %.c,%.o,$(SOURCES))

LIBFILE= libapat.a
RANLIB=ranlib


include ../global.mk

all: $(LIBFILE)

clean:
	rm -rf $(OBJECTS) $(LIBFILE)

$(LIBFILE): $(OBJECTS)
	ar -cr $@ $?
	$(RANLIB) $@

## ecopcr 0.5.0

=== debian/changelog ===
ecopcr (0.5.0-1) unstable; urgency=low

  * Initial release (Closes: #789921)

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jun 2015 11:53:57 +0200

=== debian/control ===
Source: ecopcr
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python3,
               zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ecopcr.git
Vcs-Git: git://anonscm.debian.org/debian-med/ecopcr.git
Homepage: http://www.grenoble.prabi.fr/trac/ecoPCR/

Package: ecopcr
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-reportlab
Description: estimate PCR barcode primers quality
 DNA barcoding is a tool for characterizing the species origin using a
 short sequence from a standard position and agreed upon position in the
 genome. To be used as a DNA barcode, a genome locus should vary among
 individuals of the same species only to a minor degree and it should
 vary among species very quickly. From a practical point of view, a
 barcode locus should be ﬂanked by two conserved regions to design PCR
 primers. Several manually discovered barcode loci like COI, rbcL, 18S,
 16S and 23S rDNA, or trnH-ps are routinely used today, but no objective
 function has been described to measure their quality in terms of
 universality (barcode coverage, Bc ) or in terms of taxonomical
 discrimination capacity (barcode speciﬁcity, Bs ).
 .
 ecoPCR is an electronic PCR software developed by LECA and
 Helix-Project. It helps to estimate Barcode primers quality. In
 conjunction with OBITools you can postprocess ecoPCR output to compute
 barcode coverage and barcode speciﬁcity. New barcode primers can be
 developed using the ecoPrimers software

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

# some helpful variables - uncomment them if needed
# shamelessly stolen from http://jmtd.net/log/awk/
#DEBVERS        := $(shell dpkg-parsechangelog | awk '/^Version:/ {print $$2}')
#VERSION        := $(shell echo '$(DEBVERS)' | sed -e 's/^[0-9]*://' -e 's/-.*//')
#DEBFLAVOR      := $(shell dpkg-parsechangelog | awk '/^Distribution:/ {print $$2}')
DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')
#DEBIAN_BRANCH  := $(shell awk 'BEGIN{FS="[= ]+"} /debian-branch/ {print $$2}' debian/gbp.conf)
#GIT_TAG        := $(subst ~,_,$(VERSION))

# alternatively to manually set those variables you can
#  include /usr/share/cdbs/1/rules/buildvars.mk
# and use what is set there.  Any hint whether dh might set variables in
# a similar manner are welcome.

%:
	dh $@ --sourcedirectory=src --with python3

override_dh_auto_clean:
	dh_auto_clean
	find . -type f -name "*.P" -delete

override_dh_install:
	dh_install
	for tool in tools/* ; do \
	    cp -a $${tool} debian/$(DEBPKGNAME)/usr/bin/`basename $${tool} .py` ; \
	done

#get-orig-source:
#	. debian/get-orig-source

=== debian/watch ===
#  There ar no tags yet so we can not use this ...
#version=3
#
#opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/ecopcr-$1\.tar\.gz/g \
#  https://git.metabarcoding.org/obitools/ecopcr/tags .*archive\.tar\.gz\?ref=v?(\d\S*)

## ecopcr 0.5.0+dfsg

=== debian/changelog ===
ecopcr (0.5.0+dfsg-1) unstable; urgency=medium

  * Fix copyright
  * Adapt watch file to freshly created tags
  * cme fix dpkg-control
  * debhelper 10
  * hardening=+all
  * fix some spelling issues

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jan 2017 20:29:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                dh-python,
                python3,
                zlib1g-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ecopcr.git
-Vcs-Git: git://anonscm.debian.org/debian-med/ecopcr.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/ecopcr.git
 Homepage: http://www.grenoble.prabi.fr/trac/ecoPCR/
 
 Package: ecopcr

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

DEBPKGNAME     := $(shell dpkg-parsechangelog | awk '/^Source:/ {print $$2}')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src --with python3

override_dh_auto_clean:
	dh_auto_clean
	find . -type f -name "*.P" -delete

override_dh_install:
	dh_install
	for tool in tools/* ; do \
	    cp -a $${tool} debian/$(DEBPKGNAME)/usr/bin/`basename $${tool} .py` ; \
	done

=== debian/watch ===
version=4

opts="filenamemangle=s/.*\.tar\.gz\?ref=ecopcr_v?(\d\S+)/ecopcr-$1\.tar\.gz/g,repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://git.metabarcoding.org/obitools/ecopcr/tags?sort=updated_desc .*archive\.tar\.gz\?ref=ecopcr_v?(\d\S+)

## ecopcr 1.0.1+dfsg

=== src/Makefile ===
EXEC=ecoPCR ecofind ecogrep

PCR_SRC= ecopcr.c
PCR_OBJ= $(patsubst %.c,%.o,$(PCR_SRC))

FIND_SRC= ecofind.c
FIND_OBJ= $(patsubst %.c,%.o,$(FIND_SRC))

GREP_SRC= ecogrep.c
GREP_OBJ= $(patsubst %.c,%.o,$(GREP_SRC))

IUT_SRC= ecoisundertaxon.c
IUT_OBJ= $(patsubst %.c,%.o,$(IUT_SRC))

SRCS= $(PCR_SRC) $(FIND_SRC) $(IUT_SRC)

LIB= -lecoPCR -lthermo -lapat -lz -lm

LIBFILE= libapat/libapat.a \
         libecoPCR/libecoPCR.a \
         libthermo/libthermo.a


include global.mk

all: $(EXEC)


########
#
# ecoPCR compilation
#
########

# executable compilation and link

ecoPCR: $(PCR_OBJ) $(LIBFILE) 
	$(CC) $(LDFLAGS) -o $@ $< $(LIBPATH) $(LIB)
	
########
#
# ecofind compilation
#
########
	
# executable compilation and link

ecofind: $(FIND_OBJ) $(LIBFILE)
	$(CC) $(LDFLAGS) -o $@ $< $(LIBPATH) $(LIB)
	
########
#
# ecogrep compilation
#
########
	
# executable compilation and link

ecogrep: $(GREP_OBJ) $(LIBFILE)
	$(CC) $(LDFLAGS) -o $@ $< $(LIBPATH) $(LIB)
	
########
#
# IsUnderTaxon compilation
#
########
	
# executable compilation and link

ecoisundertaxon: $(IUT_OBJ) $(LIBFILE)
	$(CC) $(LDFLAGS) -o $@ $< $(LIBPATH) $(LIB)

########
#
# library compilation
#
########

libapat/libapat.a:
	$(MAKE) -C libapat
	
libecoPCR/libecoPCR.a:
	$(MAKE) -C libecoPCR
	
libthermo/libthermo.a:
	$(MAKE) -C libthermo
	
	
########
#
# project management
#
########

clean:
	rm -f *.o	
	rm -f $(EXEC)
	$(MAKE) -C libapat clean
	$(MAKE) -C libecoPCR clean
	$(MAKE) -C libthermo clean

=== src/libecoPCR/Makefile ===

SOURCES = ecoapat.c \
         ecodna.c \
         ecoError.c \
         ecoIOUtils.c \
         ecoMalloc.c \
         ecorank.c \
         ecoseq.c \
         ecotax.c \
         ecofilter.c \
         econame.c     

SRCS=$(SOURCES)
         
OBJECTS= $(patsubst %.c,%.o,$(SOURCES))

LIBFILE= libecoPCR.a
RANLIB= ranlib


include ../global.mk


all: $(LIBFILE)

clean:
	rm -rf $(OBJECTS) $(LIBFILE)

$(LIBFILE): $(OBJECTS)
	ar -cr $@ $?
	$(RANLIB) $@

=== src/libthermo/Makefile ===

SOURCES = nnparams.c 

SRCS=$(SOURCES)
         
OBJECTS= $(patsubst %.c,%.o,$(SOURCES))

LIBFILE= libthermo.a
RANLIB= ranlib


include ../global.mk


all: $(LIBFILE)

clean:
	rm -rf $(OBJECTS) $(LIBFILE)

$(LIBFILE): $(OBJECTS)
	ar -cr $@ $?
	$(RANLIB) $@

=== debian/changelog ===
ecopcr (1.0.1+dfsg-5) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * gcc-14.patch: new: fix build failure with Gcc 14. (Closes: #1074930)

 -- Étienne Mollier <emollier@debian.org>  Sat, 13 Jul 2024 19:16:09 +0200

ecopcr (1.0.1+dfsg-4) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 03 Feb 2022 14:50:37 +0100

ecopcr (1.0.1+dfsg-3) unstable; urgency=medium

  * Team Upload.
  * Add autopkgtest
  * Install README as docs
  * Update hardening options

 -- Shruti Sridhar <shruti.sridhar99@gmail.com>  Mon, 16 Aug 2021 16:43:02 +0530

ecopcr (1.0.1+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 04 Dec 2020 16:08:49 +0100

ecopcr (1.0.1+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Cleanup watch file
  * debhelper 12
  * Standards-Version: 4.3.0
  * Remove trailing whitespace in debian/copyright

 -- Andreas Tille <tille@debian.org>  Sat, 26 Jan 2019 11:17:55 +0100

ecopcr (1.0.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Fix Homepage
  * Fix watch file
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0
  * d/rules: Do not parse d/changelog

 -- Andreas Tille <tille@debian.org>  Fri, 24 Aug 2018 11:06:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: ecopcr
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ecopcr.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ecopcr.git
-Homepage: http://www.grenoble.prabi.fr/trac/ecoPCR/
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/med-team/ecopcr
+Vcs-Git: https://salsa.debian.org/med-team/ecopcr.git
+Homepage: https://git.metabarcoding.org/obitools/ecopcr/wikis/home
+Rules-Requires-Root: no
 
 Package: ecopcr
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src --with python3

override_dh_auto_clean:
	dh_auto_clean
	find . -type f -name "*.P" -delete

override_dh_install:
	dh_install
	for tool in tools/* ; do \
	    cp -a $${tool} debian/$(DEB_SOURCE)/usr/bin/`basename $${tool} .py` ; \
	done

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  https://git.metabarcoding.org/obitools/ecopcr/tags .*/ecopcr-ecopcr_v@ANY_VERSION@\.tar.gz
